Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 705638 (CVE-2020-6378, CVE-2020-6379, CVE-2020-6380)

Summary: <www-client/chromium-79.0.3945.130: multiple vulnerabilities
Product: Gentoo Security Reporter: Stephan Hartmann <sultan>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: chromium
Priority: Normal Keywords: PullRequest
Version: unspecifiedFlags: stable-bot: sanity-check+
Hardware: All   
OS: Linux   
URL: https://chromereleases.googleblog.com/2020/01/stable-channel-update-for-desktop_16.html
See Also: https://github.com/gentoo/gentoo/pull/14389
Whiteboard: A2 [glsa+ cve]
Package list:
=www-client/chromium-79.0.3945.130
Runtime testing required: ---

Description Stephan Hartmann gentoo-dev 2020-01-17 07:38:45 UTC
See ${URL}

Reproducible: Always
Comment 1 Larry the Git Cow gentoo-dev 2020-01-17 22:07:40 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba22fbe2d56271647a72e539a7908a4159ab5e3f

commit ba22fbe2d56271647a72e539a7908a4159ab5e3f
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-01-17 14:39:20 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-01-17 22:06:42 +0000

    www-client/chromium: stable channel bump to 79.0.3945.130
    
    Bug: https://bugs.gentoo.org/705638
    Package-Manager: Portage-2.3.79, Repoman-2.3.16
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/14367

 www-client/chromium/Manifest                      |   1 +
 www-client/chromium/chromium-79.0.3945.130.ebuild | 736 ++++++++++++++++++++++
 2 files changed, 737 insertions(+)
Comment 2 Agostino Sarubbo gentoo-dev 2020-01-18 20:51:34 UTC
amd64 stable.

Maintainer(s), please cleanup.
Comment 3 Larry the Git Cow gentoo-dev 2020-01-19 20:49:06 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=971b08b8778999b9872a0cb3058b02cc79d0ea55

commit 971b08b8778999b9872a0cb3058b02cc79d0ea55
Author:     Stephan Hartmann <stha09@googlemail.com>
AuthorDate: 2020-01-19 11:31:03 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2020-01-19 20:48:56 +0000

    www-client/chromium: security cleanup
    
    Bug: https://bugs.gentoo.org/705638
    Package-Manager: Portage-2.3.79, Repoman-2.3.16
    Signed-off-by: Stephan Hartmann <stha09@googlemail.com>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/14389

 www-client/chromium/Manifest                      |   1 -
 www-client/chromium/chromium-79.0.3945.117.ebuild | 736 ----------------------
 2 files changed, 737 deletions(-)
Comment 4 Thomas Deutschmann gentoo-dev 2020-03-13 03:08:33 UTC
Added to an existing GLSA request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2020-03-13 03:19:06 UTC
This issue was resolved and addressed in
 GLSA 202003-08 at https://security.gentoo.org/glsa/202003-08
by GLSA coordinator Thomas Deutschmann (whissi).